Bug 212220 - rpc.idmapd -f flag does not make log messages go to stderr
rpc.idmapd -f flag does not make log messages go to stderr
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: nfs-utils (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Steve Dickson
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-25 14:27 EDT by Jeff Layton
Modified: 2014-06-18 03:35 EDT (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2007-0316
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-01 19:27:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to fix foreground behavior in rpc.idmapd (818 bytes, patch)
2006-10-25 14:27 EDT, Jeff Layton
no flags Details | Diff

  None (edit)
Description Jeff Layton 2006-10-25 14:27:26 EDT
When rpc.idmapd is run with the -f flag. The program stays in the foreground,
but log messages still go to syslog and not to stderr.

The attached patch fixes the behavior, but I'm not sure if I should instead add
the extern declaration into a header somewhere.
Comment 1 Jeff Layton 2006-10-25 14:27:26 EDT
Created attachment 139376 [details]
patch to fix foreground behavior in rpc.idmapd
Comment 2 Steve Dickson 2007-01-12 15:35:41 EST
Fixed in nfs-utils-1.0.6-77
Comment 3 RHEL Product and Program Management 2007-01-12 15:43:48 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 8 Red Hat Bugzilla 2007-05-01 19:27:45 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0316.html

Note You need to log in before you can comment on or make changes to this bug.